HomeSort by relevance Sort by last modified time
    Searched refs:SSH (Results 1 - 25 of 41) sorted by null

1 2

  /external/openssh/regress/
proto-version.sh 13 SSH-1.99-*)
16 SSH-2.0-*)
19 SSH-1.5-*)
proxy-connect.sh 7 ${SSH} -$p -F $OBJ/ssh_proxy 999.999.999.999 true
9 fail "ssh proxyconnect protocol $p failed"
11 SSH_CONNECTION=`${SSH} -$p -F $OBJ/ssh_proxy 999.999.999.999 'echo $SSH_CONNECTION'`
13 fail "ssh proxyconnect protocol $p failed"
connect.sh 9 ${SSH} -o "Protocol=$p" -F $OBJ/ssh_config somehost true
11 fail "ssh connect with protocol $p failed"
login-timeout.sh 11 (echo SSH-2.0-fake; sleep 60) | telnet 127.0.0.1 ${PORT} >/dev/null 2>&1 &
13 ${SSH} -F $OBJ/ssh_config somehost true
15 fail "ssh connect after login grace timeout failed with privsep"
24 (echo SSH-2.0-fake; sleep 60) | telnet 127.0.0.1 ${PORT} >/dev/null 2>&1 &
26 ${SSH} -F $OBJ/ssh_config somehost true
28 fail "ssh connect after login grace timeout failed without privsep"
proto-mismatch.sh 18 mismatch 2 SSH-1.5-HALLO
19 mismatch 1 SSH-2.0-HALLO
connect-privsep.sh 10 ${SSH} -$p -F $OBJ/ssh_proxy 999.999.999.999 true
12 fail "ssh privsep+proxyconnect protocol $p failed"
20 ${SSH} -$p -F $OBJ/ssh_proxy 999.999.999.999 true
23 warn "ssh privsep/sandbox+proxyconnect protocol $p failed"
yes-head.sh 7 lines=`${SSH} -$p -F $OBJ/ssh_proxy thishost 'sh -c "while true;do echo yes;done | _POSIX2_VERSION=199209 head -2000"' | (sleep 3 ; wc -l)`
forwarding.sh 25 ${SSH} -$p -F $OBJ/ssh_config -f $fwd somehost sleep 10
28 ${SSH} -$q -F $OBJ/ssh_config -p$last -o 'ConnectionAttempts=4' \
41 ${SSH} -$p -F $OBJ/ssh_config \
51 ${SSH} -q -$p -F $OBJ/ssh_config \
68 ${SSH} -$p -F $OBJ/ssh_config -oClearAllForwardings=yes somehost true
71 ${SSH} -$p -f -F $OBJ/ssh_config -L ${base}01:127.0.0.1:$PORT \
77 ${SSH} -$p -F $OBJ/ssh_config -p ${base}01 true \
84 ${SSH} -$p -f -F $OBJ/ssh_config -R ${base}01:127.0.0.1:$PORT \
90 ${SSH} -$p -F $OBJ/ssh_config -p ${base}01 true \
99 cmd="${SSH} -$p -F $OBJ/ssh_config
    [all...]
multiplex.sh 20 ${SSH} -Nn2 -MS$CTL -F $OBJ/ssh_config -oSendEnv="_XXX_TEST" somehost &
28 _XXX_TEST=blah ${SSH} -F $OBJ/ssh_config -oSendEnv="_XXX_TEST" -S$CTL otherhost sh << 'EOF'
37 trace "ssh transfer over multiplexed connection and check result"
38 ${SSH} -F $OBJ/ssh_config -S$CTL otherhost cat ${DATA} > ${COPY}
39 test -f ${COPY} || fail "ssh -Sctl: failed copy ${DATA}"
40 cmp ${DATA} ${COPY} || fail "ssh -Sctl: corrupted copy of ${DATA}"
43 trace "ssh transfer over multiplexed connection and check result"
44 ${SSH} -F $OBJ/ssh_config -S $CTL otherhost cat ${DATA} > ${COPY}
45 test -f ${COPY} || fail "ssh -S ctl: failed copy ${DATA}"
46 cmp ${DATA} ${COPY} || fail "ssh -S ctl: corrupted copy of ${DATA}
    [all...]
key-options.sh 15 r=`${SSH} -$p -q -F $OBJ/ssh_proxy somehost echo foo`
29 r=`${SSH} -$p -q -F $OBJ/ssh_proxy somehost tty`
40 r=`${SSH} -$p -q -F $OBJ/ssh_proxy somehost 'echo $FOO'`
51 ${SSH} -$p -q -F $OBJ/ssh_proxy somehost true
59 r=`${SSH} -$p -q -F $OBJ/ssh_proxy somehost 'echo true'`
64 r=`${SSH} -$p -q -F $OBJ/ssh_config somehost 'echo true'`
broken-pipe.sh 9 ${SSH} -$p -F $OBJ/ssh_config_config nexthost echo $i 2> /dev/null | true
envpass.sh 17 _TEST_ENV=blah ${SSH} -oSendEnv="*" -F $OBJ/ssh_proxy_envpass otherhost \
28 _XXX_TEST_A=1 _XXX_TEST_B=2 ${SSH} -F $OBJ/ssh_proxy_envpass otherhost \
39 _XXX_TEST=blah ${SSH} -oSendEnv="_XXX_TEST" -F $OBJ/ssh_proxy_envpass \
50 _XXX_TEST_A=1 _XXX_TEST_B=2 ${SSH} -oSendEnv="_XXX_TEST_*" \
localcommand.sh 11 a=`${SSH} -F $OBJ/ssh_proxy -$p somehost true`
portnum.sh 9 if ${SSH} -F $OBJ/ssh_proxy -p $port somehost true 2>/dev/null ; then
16 if ${SSH} -F $OBJ/ssh_proxy -p $port somehost true 2>/dev/null ; then
try-ciphers.sh 18 ${SSH} -F $OBJ/ssh_proxy -2 -m $m -c $c somehost true
20 fail "ssh -2 failed with mac $m cipher $c"
29 ${SSH} -F $OBJ/ssh_proxy -1 -c $c somehost true
31 fail "ssh -1 failed with cipher $c"
35 if ${SSH} -oCiphers=acss@openssh.org 2>&1 | grep "Bad SSH2 cipher" >/dev/null
45 ${SSH} -F $OBJ/ssh_proxy -2 -m $m -c $c somehost true
47 fail "ssh -2 failed with mac $m cipher $c"
exit-status.sh 10 ${SSH} -$p -F $OBJ/ssh_proxy otherhost exit $s
17 ${SSH} -$p -F $OBJ/ssh_proxy -n otherhost \
forcecommand.sh 15 ${SSH} -$p -F $OBJ/ssh_proxy somehost false \ ||
29 ${SSH} -$p -F $OBJ/ssh_proxy somehost false \ ||
40 ${SSH} -$p -F $OBJ/ssh_proxy somehost false \ ||
agent.sh 8 fail "ssh-add -l did not fail with exit code 2"
15 fail "could not start ssh-agent: exit code $r"
19 fail "ssh-add -l did not fail with exit code 1"
27 fail "ssh-keygen for $t-agent failed"
33 fail "ssh-add did succeed exit code 0"
38 fail "ssh-add -l failed: exit code $?"
43 fail "ssh-add -L failed: exit code $?"
48 ${SSH} -$p -F $OBJ/ssh_proxy somehost exit 5$p
50 fail "ssh connect with protocol $p failed (exit code $?)"
56 ${SSH} -A -$p -F $OBJ/ssh_proxy somehost ${SSHADD} -l > /dev/null 2>&
    [all...]
brokenkeys.sh 13 echo "ssh-rsa AAAAB3NzaC1yc2EAAAABIwAAAIEABTM= bad key" > $KEYS
17 ${SSH} -2 -F $OBJ/ssh_config somehost true
19 fail "ssh connect with protocol $p failed"
cipher-speed.sh 27 ( ${SSH} -o 'compression no' \
33 fail "ssh -2 failed with mac $m cipher $c"
43 ( ${SSH} -o 'compression no' \
48 fail "ssh -1 failed with cipher $c"
host-expand.sh 15 ${SSH} -F $OBJ/ssh_proxy -$p somehost true >$OBJ/actual
stderr-data.sh 13 ${SSH} $n -$p -F $OBJ/ssh_proxy otherhost \
18 fail "ssh failed with exit code $r"
23 ${SSH} $n -$p -F $OBJ/ssh_proxy otherhost \
28 fail "ssh failed with exit code $r"
transfer.sh 12 ${SSH} -n -q -$p -F $OBJ/ssh_proxy somehost cat ${DATA} > ${COPY}
14 fail "ssh cat $DATA failed"
22 ${SSH} -q -$p -F $OBJ/ssh_proxy somehost "cat > ${COPY}"
24 fail "ssh cat $DATA failed"
cert-userkey.sh 17 fail "ssh-keygen of user_ca_key failed"
24 fail "ssh-keygen of cert_user_key_${ktype} failed"
57 ${SSH} -2i $OBJ/cert_user_key_${ktype} \
60 fail "ssh cert connect succeeded unexpectedly"
66 ${SSH} -2i $OBJ/cert_user_key_${ktype} \
69 fail "ssh cert connect succeeded unexpectedly"
75 ${SSH} -2i $OBJ/cert_user_key_${ktype} \
78 fail "ssh cert connect succeeded unexpectedly"
84 ${SSH} -2i $OBJ/cert_user_key_${ktype} \
87 fail "ssh cert connect failed
    [all...]
cfgmatch.sh 16 ${SSH} -q -$p $fwd "$@" somehost \
27 fatal "timeout waiting for background ssh"
63 ${SSH} -q -$p -p $fwdport -F $OBJ/ssh_config somehost true || \
72 ${SSH} -q -$p -p $fwdport -F $OBJ/ssh_config somehost true && \
85 ${SSH} -q -$p -p $fwdport -F $OBJ/ssh_config somehost true && \
95 ${SSH} -q -$p -p $fwdport -F $OBJ/ssh_config somehost true || \
109 ${SSH} -q -$p -p $fwdport -F $OBJ/ssh_config somehost true && \
124 ${SSH} -q -$p -p $fwdport -F $OBJ/ssh_config somehost true || \

Completed in 63 milliseconds

1 2